using Hotline.Share.Attributes;
using System.ComponentModel;

namespace Hotline.Share.Enums.Article;

[Flags]
public enum EFileType
{
    None = 0, 

    /// <summary>
    /// Excel文件
    /// </summary>
    [Description("导出Excel")]
    [FileExtension(".xlsx")]
    [ContentType("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet")]
    excel = 1,

    /// <summary>
    /// Word文件
    /// </summary>
    [Description("导出Word")]
    [FileExtension(".docx")]
    [ContentType("application/vnd.openxmlformats-officedocument.wordprocessingml.document")]
    word = 2,

    /// <summary>
    /// PDF文件
    /// </summary>
    [Description("导出PDF")]
    [FileExtension(".pdf")]
    [ContentType("application/pdf")]
    pdf = 4,
}
